## yada 0.47bpo1

=== debian/changelog ===
yada (0.47bpo1) sarge-backports; urgency=low

  * Recompile for backports.org

 -- Micah Anderson <micah@debian.org>  Tue,  4 Apr 2006 18:03:16 -0400

yada (0.48) unstable; urgency=medium

  * Generate "Depends: debconf (>= 0.2.26) | debconf-2.0" to make lintian
    happy.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 28 Sep 2005 12:13:18 +0200

yada (0.47) unstable; urgency=medium

  * Generate "Depends: debconf | cdebconf | debconf-2.0" if the Debconf
    is used.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 26 Sep 2005 16:51:16 +0200

yada (0.46) unstable; urgency=medium

  * Do not generate VERSION variable for init scripts. This value
    changes frequently so it shouldn't be set automatically.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 26 Sep 2005 10:45:56 +0200

yada (0.45) unstable; urgency=medium

  * Change file names for cron scripts. Replace forbidden characters with
    '-' sign.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 24 Sep 2005 10:56:35 +0200

yada (0.44) unstable; urgency=medium

  * Generate debconf header for preinst and prerm scripts.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 13 Sep 2005 23:19:12 +0200

yada (0.43) unstable; urgency=medium

  * Generate correct ${VERSION} variable in build script.
  * Standards-Version: 3.6.2
  * New FSF address in copyright file.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 12 Sep 2005 14:06:55 +0200

yada (0.42) unstable; urgency=medium

  * Fix last modification and bug which appears in generated debian/control
    file.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 22 Aug 2005 17:12:35 +0200

yada (0.41) unstable; urgency=low

  * Speed up the process of parsing the macros.
  * Fix typo in generated debian/rules so version number is correctly
    recognized.
  * Allow to nest the macros.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 18 Aug 2005 10:58:03 +0200

yada (0.40) unstable; urgency=low

  * Do not call ucf on purge if not exists.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  9 Aug 2005 15:22:26 +0200

yada (0.39) unstable; urgency=low

  * Remove a few bashisms.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  4 Aug 2005 10:58:08 +0200

yada (0.38) unstable; urgency=low

  * debian/yada:
    - Fix `yada symlink -man': do not use long path if source and destination
      is in the same directory, can do a few symlinks at the time.
    - Fix `yada move': the same as `yada copy' syntax.
    - New command `yada rename'.
    - Generate debian/po/POTFILES.in if missing.

 -- Piotr Roszatycki <dexter@debian.org>  Tue,  2 Aug 2005 11:27:11 +0200

yada (0.37) unstable; urgency=low

  * debian/yada:
    - Introduces DEB_HOST_*, DEB_BUILD_*, with_*, without_* special macros.
    - Replace $(buildarch) with $(hostarch) in generated debian/rules.
    - Detect amd64 CPU with old dpkg-architecture.
    - Unexisting macro is not critical error, just warning.
    - Generate Build-Depends field based on YADA_VERSION environment variable.
    - New field Cron-Hourly for /etc/cron.hourly cron script.
    - Correct file path to yada.txt in generated packages file.
      Closes: #309151,
  * po/vi.po:
    - Vietnamese Debconf translation. Closes: #310060.
  * doc/yada.xml:
    - Documentation converted from LyX format to XML DocBook.
    - Describes new features.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 14 Jul 2005 13:55:17 +0200

yada (0.36) unstable; urgency=medium

  * debian/yada:
    - Call `ldconfig' in postrm if Contains: libs.

 -- Piotr Roszatycki <dexter@debian.org>  Sat,  9 Jul 2005 20:56:36 +0200

=== debian/control ===
Source: yada
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.6.2
Build-Depends: file, patch, perl, po-debconf
Build-Depends-Indep: file, patch, perl, po-debconf

Package: yada
Architecture: all
Depends: dpkg-dev, file, patch, perl
Recommends: yada-doc
Suggests: bzip2
Conflicts: yada-doc (<< 0.26.0.1)
Replaces: yada-doc (<< 0.26.0.1)
Description: Yet Another Debianisation Aid
 YADA is a Debian packaging helper.  It parses a special file,
 debian/packages, in a source package, and generates an appropriate
 debian/rules to control building of the package.
 .
 This package provides YADA tool.

Package: yada-doc
Architecture: all
Suggests: yada
Conflicts: yada (<< 0.16)
Description: Yet Another Debianisation Aid - documentation and examples
 YADA is a Debian packaging helper.  It parses a special file,
 debian/packages, in a source package, and generates an appropriate
 debian/rules to control building of the package.
 .
 This package provides documentation for YADA and some examples of
 debian/packages files.

=== debian/rules ===
#!/usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.48, of Wed, 28 Sep 2005

DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
DEB_HOST_ARCH_CPU    := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU 2>/dev/null)
DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE 2>/dev/null)
DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM 2>/dev/null)

DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH 2>/dev/null)
DEB_BUILD_ARCH_OS    := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
DEB_BUILD_ARCH_CPU   := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)
DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU 2>/dev/null)
DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE 2>/dev/null)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(DEB_HOST_GNU_CPU))
  ifeq ($(DEB_HOST_ARCH_CPU),i486)
    DEB_HOST_ARCH_OS := i386
  else
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_OS := amd64
  endif
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
ifeq ($(DEB_BUILD_ARCH_CPU),)
  DEB_BUILD_ARCH_CPU := $(DEB_BUILD_GNU_CPU))
  ifeq ($(DEB_BUILD_ARCH_CPU),i486)
    DEB_BUILD_ARCH_OS := i386
  else
  ifeq ($(DEB_BUILD_ARCH_CPU),x86_64)
    DEB_BUILD_ARCH_OS := amd64
  endif
  endif
endif
ifeq ($(DEB_BUILD_ARCH_OS),)
  DEB_BUILD_ARCH_OS := $(subst -gnu,,$(DEB_BUILD_GNU_SYSTEM))
  ifeq ($(DEB_BUILD_ARCH_OS),gnu)
    DEB_BUILD_ARCH_OS := hurd
  endif
endif

LEFT_PARENTHESIS:=(
VERSION:=$(shell head -n1 debian/changelog | sed -e "s/^[0-9a-zA-Z.-]* $(LEFT_PARENTHESIS)//" -e "s/[^0-9a-zA-Z.:+~-].*//")

SHELL=/bin/bash

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " build-arch         compile the architecture-dependent package"; \
	echo " build-indep        compile the architecture-independent package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: build-only

.PHONY: build-arch-only build-arch
build-arch-only: debian/build-arch-stamp
build-arch: build-arch-only

.PHONY: build-indep-only build-indep
build-indep-only: debian/build-indep-stamp
build-indep: build-indep-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control templates
rules: debian/rules
debian/rules: debian/yada debian/packages-tmp
	perl debian/yada rebuild rules

control: debian/control
debian/control: debian/yada debian/packages-tmp
	perl debian/yada rebuild control

templates: debian/templates debian/po/POTFILES.in
debian/templates: debian/yada debian/packages-tmp
	perl debian/yada rebuild templates
debian/po/POTFILES.in: debian/yada debian/packages-tmp
	perl debian/yada rebuild templates

debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'echo test before-build';\
	echo -E 'for pod in man/*.pod; do';\
	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
	echo -E '        > $${pod%.pod}.$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
	echo -E 'done';\
	echo -E '# New entry Package maintainer'\''s commands follow';\
	echo -E 'echo test build';\
	echo -E '# New entry Package maintainer'\''s commands follow';\
	echo -E 'echo test after-build') | /bin/bash
	touch debian/build-stamp

debian/build-arch-stamp:
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	touch debian/build-arch-stamp

debian/build-indep-stamp:
	@[ -f debian/yada -a -f debian/rules ]
	perl debian/yada patch "debian/patches/*.diff"
	touch debian/build-indep-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-yada-doc/DEBIAN/control \
	debian/tmp-yada/DEBIAN/control

debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-yada-doc
	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
	umask 022; perl debian/yada generate copyright \
	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-yada-doc/usr/share/doc/yada-doc/changelog
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
	  && export PACKAGE="yada-doc" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada install -doc doc/yada.txt doc/yada.pdf debian/*.syntax';\
	echo -E 'yada install -doc -subdir examples examples/*';\
	echo -E 'yada install -doc -subdir examples/yada debian/packages debian/packages.* debian/patches/*.diff';\
	echo -E 'echo test "?" ok';\
	echo -E 'echo test "!?" ok';\
	echo -E 'echo echo line 1  echo line 2') | /bin/sh
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
	  && export PACKAGE="yada-doc" \
	  && export SOURCE="yada" \
	  && export VERSION="$(VERSION)" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada perl';\
	echo -E 'yada python';\
	echo -E 'yada strip';\
	echo -E 'yada shlibdeps') | /bin/sh
	perl debian/yada compress yada-doc
	perl debian/yada generate maintscripts yada-doc
	find debian/tmp-yada-doc -type f -print \
	  | sed -n 's/^debian\/tmp-yada-doc\(\/etc\/.*\)$$/\1/p' \
	  > debian/tmp-yada-doc/DEBIAN/conffiles
	test -s debian/tmp-yada-doc/DEBIAN/conffiles || rm -f debian/tmp-yada-doc/DEBIAN/conffiles
	perl debian/yada rebuild control
	perl debian/yada generate substvars yada-doc
	umask 022 && dpkg-gencontrol -isp -pyada-doc -Pdebian/tmp-yada-doc

debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-yada
	umask 022 && install -d debian/tmp-yada/DEBIAN
	install -d debian/tmp-yada/usr/share/doc/yada
	umask 022; perl debian/yada generate copyright \

## yada 0.52

=== debian/changelog ===
yada (0.52) unstable; urgency=low

  * debian/yada:
    - Do not make cyclic dependencies if the package contains shared library
      and binary in the same package.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  8 Dec 2006 12:57:34 +0100

yada (0.51) unstable; urgency=low

  * Only conditionally include debconf confmodule in postrm.
    Thanks Thijs Kinkhorst for patch. Closes: #398850.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 16 Nov 2006 03:10:01 +0100

yada (0.50) unstable; urgency=low

  * debian/yada:
    - Sort packages in debian/rules in the same order as in debian/control.
      The proper order has meaning for i.e. dpkg-shlibdeps when the first
      binary package provides a shared library.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 15 Nov 2006 13:02:22 +0100

yada (0.49) unstable; urgency=low

  * debian/packages:
    - Standards-Version: 3.7.2
  * debian/yada:
    - Build-Arch is called before Build-Indep.
    - New option `yada install -lang' for manpages. Closes: #366130.
    - Modified `yada install -script' option. It is now synonim for
      `yada install -unstripped' if other file type was used (i.e. game, lib,
      sbin, cgi).
    - Add YADA only to Build-Depends field. Closes: #312389.
    - Install menu files in /usr/share/menu.
    - Call update-menus and install-docs on configure in postinst script.
    - Use `which command` than /usr/bin/command in debian/{pre,post}{inst,rm}
      scripts.
    - Use xfonts-utils package for "Contains: xfonts". Closes: #362493, #312388.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  9 Nov 2006 13:19:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Piotr Roszatycki <dexter@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends: file, patch, perl, po-debconf
-Build-Depends-Indep: file, patch, perl, po-debconf
 
 Package: yada
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.48, of Wed, 28 Sep 2005
+# by yada v0.52, of Fri,  8 Dec 2006
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -116,7 +116,7 @@
 	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
 	echo -E 'echo test before-build';\
-	echo -E 'for pod in man/*.pod; do';\
+	echo -E 'for pod in man/*.pod man/*/*.pod; do';\
 	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
 	echo -E '        > $${pod%.pod}.$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
 	echo -E 'done';\
@@ -131,7 +131,7 @@
 	perl debian/yada patch "debian/patches/*.diff"
 	touch debian/build-arch-stamp
 
-debian/build-indep-stamp:
+debian/build-indep-stamp: debian/build-arch-stamp
 	@[ -f debian/yada -a -f debian/rules ]
 	perl debian/yada patch "debian/patches/*.diff"
 	touch debian/build-indep-stamp
@@ -139,23 +139,23 @@
 .PHONY: install-tree
 install-tree: install-tree-any
 install-tree-any: \
-	debian/tmp-yada-doc/DEBIAN/control \
-	debian/tmp-yada/DEBIAN/control
-
-debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-yada-doc
-	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
-	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
+	debian/tmp-yada/DEBIAN/control \
+	debian/tmp-yada-doc/DEBIAN/control
+
+debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
+	rm -rf debian/tmp-yada
+	umask 022 && install -d debian/tmp-yada/DEBIAN
+	install -d debian/tmp-yada/usr/share/doc/yada
 	umask 022; perl debian/yada generate copyright \
-	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright
+	  > debian/tmp-yada/usr/share/doc/yada/copyright
 	install -m 644 -p debian/changelog \
-	  debian/tmp-yada-doc/usr/share/doc/yada-doc/changelog
+	  debian/tmp-yada/usr/share/doc/yada/changelog
 	@umask 022 \
 	  && export pwd="$$(pwd)" \
-	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
+	  && export ROOT="$$(pwd)/debian/tmp-yada" \
 	  && export TMPROOT="$$(pwd)/debian/tmp" \
-	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
-	  && export PACKAGE="yada-doc" \
+	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
+	  && export PACKAGE="yada" \
 	  && export SOURCE="yada" \
 	  && export VERSION="$(VERSION)" \
 	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
@@ -165,18 +165,19 @@
 	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
 	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
-	echo -E 'yada install -doc doc/yada.txt doc/yada.pdf debian/*.syntax';\
-	echo -E 'yada install -doc -subdir examples examples/*';\
-	echo -E 'yada install -doc -subdir examples/yada debian/packages debian/packages.* debian/patches/*.diff';\
-	echo -E 'echo test "?" ok';\
-	echo -E 'echo test "!?" ok';\
-	echo -E 'echo echo line 1  echo line 2') | /bin/sh
+	echo -E 'yada install -script debian/yada';\
+	echo -E 'yada install -man man/yada.1';\
+	echo -E 'yada install -man man/packages.7';\
+	echo -E 'for lang in pl; do';\
+	echo -E '    yada install -man -lang $$lang man/$$lang/yada.1';\
+	echo -E '    yada install -man -lang $$lang man/$$lang/packages.7';\
+	echo -E 'done') | /bin/sh
 	@umask 022 \
 	  && export pwd="$$(pwd)" \
-	  && export ROOT="$$(pwd)/debian/tmp-yada-doc" \
+	  && export ROOT="$$(pwd)/debian/tmp-yada" \
 	  && export TMPROOT="$$(pwd)/debian/tmp" \
-	  && export CONTROL="$$(pwd)/debian/tmp-yada-doc/DEBIAN" \
-	  && export PACKAGE="yada-doc" \
+	  && export CONTROL="$$(pwd)/debian/tmp-yada/DEBIAN" \
+	  && export PACKAGE="yada" \
 	  && export SOURCE="yada" \
 	  && export VERSION="$(VERSION)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
@@ -184,18 +185,19 @@
 	echo -E 'yada python';\
 	echo -E 'yada strip';\
 	echo -E 'yada shlibdeps') | /bin/sh
-	perl debian/yada compress yada-doc
-	perl debian/yada generate maintscripts yada-doc
-	find debian/tmp-yada-doc -type f -print \
-	  | sed -n 's/^debian\/tmp-yada-doc\(\/etc\/.*\)$$/\1/p' \
-	  > debian/tmp-yada-doc/DEBIAN/conffiles
-	test -s debian/tmp-yada-doc/DEBIAN/conffiles || rm -f debian/tmp-yada-doc/DEBIAN/conffiles
+	perl debian/yada compress yada
+	perl debian/yada generate maintscripts yada
+	find debian/tmp-yada -type f -print \
+	  | sed -n 's/^debian\/tmp-yada\(\/etc\/.*\)$$/\1/p' \
+	  > debian/tmp-yada/DEBIAN/conffiles
+	test -s debian/tmp-yada/DEBIAN/conffiles || rm -f debian/tmp-yada/DEBIAN/conffiles
 	perl debian/yada rebuild control
-	perl debian/yada generate substvars yada-doc
-	umask 022 && dpkg-gencontrol -isp -pyada-doc -Pdebian/tmp-yada-doc
-
-debian/tmp-yada/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-yada
-	umask 022 && install -d debian/tmp-yada/DEBIAN
-	install -d debian/tmp-yada/usr/share/doc/yada
+	perl debian/yada generate substvars yada
+	umask 022 && dpkg-gencontrol -isp -pyada -Pdebian/tmp-yada
+
+debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
+	rm -rf debian/tmp-yada-doc
+	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
+	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
 	umask 022; perl debian/yada generate copyright \
+	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright

## yada 0.53

=== debian/changelog ===
yada (0.53) unstable; urgency=medium

  * debian/yada:
    - Do not use Debconf in postrm if it is not available. It fixes serious
      bug. Closes: #417739.
    - Fixed typo for handling of Menu and Doc-Base fields. update-menus and
      install-docs wasn't being called on configure and remove scripts.
      Closes: #419878.
  * debian/packages:
    - Convert Polish manpages from utf-8 to iso8859-2 as far as Debian's Groff
      has completly broken UTF8 support. The source POD files are still UTF8.
      Closes: #406052.
  * doc:
    - Fixed typo.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  4 May 2007 18:43:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.52, of Fri,  8 Dec 2006
+# by yada v0.53, of Fri,  4 May 2007
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -116,8 +116,13 @@
 	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
 	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
 	echo -E 'echo test before-build';\
-	echo -E 'for pod in man/*.pod man/*/*.pod; do';\
+	echo -E 'for pod in man/*.pod; do';\
 	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
+	echo -E '        > $${pod%.pod}.$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
+	echo -E 'done';\
+	echo -E 'for pod in man/pl/*.pod; do';\
+	echo -E '    eval pod2man $$(head -n1 $$pod | sed '\''s/^# pod2man //'\'') $$pod \';\
+	echo -E '        | iconv -f utf-8 -t iso8859-2 \';\
 	echo -E '        > $${pod%.pod}.$$(head -n1 $$pod | sed -e '\''s/.*--section=//'\'' -e '\''s/ .*//'\'')';\
 	echo -E 'done';\
 	echo -E '# New entry Package maintainer'\''s commands follow';\
@@ -195,9 +200,3 @@
 	perl debian/yada generate substvars yada
 	umask 022 && dpkg-gencontrol -isp -pyada -Pdebian/tmp-yada
 
-debian/tmp-yada-doc/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-yada-doc
-	umask 022 && install -d debian/tmp-yada-doc/DEBIAN
-	install -d debian/tmp-yada-doc/usr/share/doc/yada-doc
-	umask 022; perl debian/yada generate copyright \
-	  > debian/tmp-yada-doc/usr/share/doc/yada-doc/copyright

## yada 0.54

=== doc/Makefile ===
# Makefile for generating text file from LyX source

all:	yada.txt yada.pdf

yada.txt: yada.html
	elinks -dump -no-references 1 -no-numbering 1 $< > $@

yada.html: yada.xml
	docbook2html -u $<
	tidy -q -asxhtml -bci -m $@ || test $$? != 2

yada.pdf: yada.xml
	docbook2pdf $<

clean:
	rm -f *.html *.tex *.tmp *.lyx *~

distclean: clean
	rm -f *.txt *.pdf

=== debian/changelog ===
yada (0.54) unstable; urgency=low

  * debian/yada:
    - New field Homepage replaces Home-Page. The field is available for source
      and binary paragraphs. Closes: #446815.
    - New fields for source paragraph: Format, Vcs-*.
    - New fields for binary paragraph: Tag, Breaks.
    - New architectures: armeb, armel, kfreebsd-amd64, lpia, solaris-amd64,
      solaris-i386, solaris-sparc.
    - Print copyright info only with --version argument.
    - Do not put dot after homepage URL in copyright file.

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 28 Oct 2007 19:10:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Priority: optional
 Standards-Version: 3.7.2
 Build-Depends: file, patch, perl, po-debconf
+Homepage: http://yada.alioth.debian.org/
+Vcs-Browser: http://svn.debian.org/wsvn/yada
+Vcs-Svn: svn://svn.debian.org/yada/
 
 Package: yada
 Architecture: all
@@ -17,7 +20,10 @@
  debian/packages, in a source package, and generates an appropriate
  debian/rules to control building of the package.
  .
- This package provides YADA tool.
+ This package provides YADA script.
+ .
+ The /usr/bin/yada script can be also copied as source package's debian/yada
+ file if this package won't be available on system for package building.
 
 Package: yada-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.53, of Fri,  4 May 2007
+# by yada v0.54, of Sun, 28 Oct 2007
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -151,7 +151,7 @@
 	rm -rf debian/tmp-yada
 	umask 022 && install -d debian/tmp-yada/DEBIAN
 	install -d debian/tmp-yada/usr/share/doc/yada
-	umask 022; perl debian/yada generate copyright \
+	umask 022; perl debian/yada generate copyright yada \
 	  > debian/tmp-yada/usr/share/doc/yada/copyright
 	install -m 644 -p debian/changelog \
 	  debian/tmp-yada/usr/share/doc/yada/changelog

## yada 0.55

=== debian/changelog ===
yada (0.55) unstable; urgency=low

  * debian/yada:
    - Use "date -R" rather than 822-date. Closes: #531837.
    - %if macro takes non-numeric non-empty string as a true value.
      Closes: #505758.
    - Support more common licenses in Copyright field.
    - Support avr32 architecture as part of linux architecture.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 19 Dec 2009 23:38:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.54, of Sun, 28 Oct 2007
+# by yada v0.55, of Tue, 15 Dec 2009
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
